import {LOCATION_CHANGE,CALL_HISTORY_METHOD}from'../constants/routes.js';const locationChangeAction = (location, action) => ({
    type: LOCATION_CHANGE,
    payload: { location, action, isFirstRendering: false },
});
function updateLocation(method) {
    // @ts-ignore //support history 5.x back/forward
    return (...args) => {
        if (typeof window === 'undefined') {
            return ({
                type: 'NO ACTION',
            });
        }
        const router = window.__remixRouter;
        if (!router) {
            return ({
                type: 'NO ACTION',
            });
        }
        // @ts-ignore
        // eslint-disable-next-line default-case
        switch (method) {
            case 'push': {
                let callArgs = args;
                const [to, state] = callArgs;
                router.navigate(to, { state });
                break;
            }
            case 'replace': {
                let callArgs = args;
                const [to, state] = callArgs;
                router.navigate(to, { state, replace: true });
                break;
            }
            case 'go':
                router.navigate(...args);
                break;
            case 'back':
            case 'goBack':
                // @ts-ignore
                router.navigate(-1);
                break;
            case 'forward':
            case 'goForward':
                // @ts-ignore
                router.navigate(1);
                break;
        }
        return ({
            type: CALL_HISTORY_METHOD,
            payload: { method, args },
        });
    };
}
const push = updateLocation('push');
const replace = updateLocation('replace');
const go = updateLocation('go');
const goBack = updateLocation('back');
const goForward = updateLocation('forward');
const back = updateLocation('back');
const forward = updateLocation('forward');export{back,forward,go,goBack,goForward,locationChangeAction,push,replace};//# sourceMappingURL=router.js.map
